#include<stdio.h>
int main()
{
  int n,cs,cd,cj,noviBroj=0,pom;
  scanf("%d",&n);
  if(n<100 || n>999)
  {
    printf("-1\n");
    return -1;
  }
  cs=n/100;
  cd=(n/10)%10;
  cj=n%10;
  if(cs>cd)
  {
    pom=cs;
    cs=cd;
    cd=pom;
  }
  if(cs>cj)
  {
    pom=cs;
    cs=cj;
    cj=pom;
  }
  if(cd>cj)
  {
    pom=cd;
    cd=cj;
    cj=pom;
  }
  noviBroj=cs*100+cd*10+cj;
  printf("%d\n",noviBroj);

  return 0;
}